<?php
namespace Teknisa\SUP\Modules\Cadastros\Controllers;

use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;

class Sup10500AjustePrForneFiliController{

    private $environment;
    private $entityManager;
    private $service;

    public function __construct ($environment, $entityManager, $service){
    	$this->environment = $environment;
        $this->entityManager = $entityManager;
        $this->service = $service;
    }

	public function saveAjuste($request, $response) {
		try {
			$row = $request->getRow();
			if($row['__is_new']){
				$this->service->insertAjuste($row);
			} else {
				$this->service->updateAjuste($row);
			}
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
	
	public function deleteAjuste($request, $response) {
		try {
			$data = $request->getDataSet()->getRows();
			$this->service->deleteAjuste($data);
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
	
	public function cadastroAutomatico($request, $response) {
		try {
			$row = $request->getRow();
			if($row['ajustaAllRows'] == 'S'){
				$this->service->updateCadAutomatico($row);
				$this->service->insertCadAutomatico($row);
			} else {
				$this->service->insertCadAutomatico($row);
			}
		} catch (\Exception $e) {
			$response->setError(new Error($e->getMessage(), 500));
		}
	}
}